\ifmacroinclude

\newboolean{getsourcesFullSystem}

\setboolean{getsourcesFullSystem}{true}

\newcommand{\getsourcesTarName}{ldas}

\newcommand{\getsourcesTarVersion}{current}

\newcommand{\GettingPieces}{


\subsubsection{Required Pieces}

\begin{quotation}
cvs export -rHEAD -l ldas

cvs export -rHEAD -l ldas/lib

cvs export -rHEAD ldas/lib/perceps
\end{quotation}

\subsubsection{A Single Library}

\begin{quotation}
cvs export -rHEAD ldas/<Library>
\end{quotation}

\subsubsection{A Single API}

\begin{quotation}
cvs export -rHEAD -l ldas/api

cvs export -rHEAD ldas/api/<API>
\end{quotation}
}

\else


\section{Retrieving the Source Code}


\subsection{The Entire System}

When building the entire system, there are two methods of obtaining the source
code. The first is by ftping the tar-ball and the second is by CVS. The tar-ball
distribution is the preferred method as this is a known stable version of the
software. The CVS version is best for developers and others who need the latest
developmental version of the \Project software.


\subsubsection{Tar-ball distribution}

With the tar-ball distribution, all of the source code is contained in one large
tar archive that has been compress with GNU zip. Use the command {}``gzip -dc
{\getsourcesTarName}-{\getsourcesTarVersion}.tar.gz | tar xf -{}'' to extract
the sources. This will create a subdirectory {\getsourcesTarName}-{\Version}.
The latest version can be obtained from http://ldas-sw.ligo.caltech.edu/packages/{\getsourcesTarName}-{\getsourcesTarVersion}.tar.gz. 


\subsubsection{CVS distribution}

The CVS repository is available via the web. It is a good way to browse the
code and look for changes that may have affected the system in an adverse way.
The location is https://ldas-sw.ligo.caltech.edu/cgi-bin/gnatsweb.cgi.

To retrieve sources from CVS you must have access to the CVS repository. If
you do not already have access and feel that you need access, please contact
\ifLDASMode%
Kent Blackburn or Albert Lazzarini
\else%
\ifEEMode%
Hiro Yamamoto (yamamoto_h@ligo.caltech.edu) %
\fi%EEMode
\fi%LDASMode
with your request.

There are two flags. The {}``-D<DATE>{}'' flag retrieves the most recent revision
of the file that is no later than <DATE>. The date format is versatile and supports
most any format of dates. Please see the man or info page for CVS for a complete
description. The reserved <DATE> of {}``now{}'' can be used to retrieve the
latest version of the source code.

The {}``-r<TAG>{}'' flag retrieves files belonging to the specified <TAG>.
These tags have several variations to support different efforts. The most common
is {}``ldas-<major\_version>\_<minor\_version>\_<patch\_version>{}''. These
represent the official releases of the \Project software. The reserved <TAG>
{}``HEAD{}'' may be used to retrieve the latest version of the source code.

In all the commands listed below, it is assumed the most recent version of the
software is desired. If not, please substitute {}``-rHEAD{}'' with the appropriate
flag as described above.

\ifthenelse{\boolean{getsourcesFullSystem}}{%then


\subsubsection{Getting the Full System}

\begin{quotation}
cvs export -rHEAD ldas
\end{quotation}

\subsubsection{Getting Pieces}

}{%else


\subsubsection{Retrieving the Relevant Pieces}

}%fi

{\GettingPieces}

\fi
